apr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Graham Leggett <minf...@sharp.fm>
Subject Re: Build problems
Date Tue, 15 Mar 2011 17:03:30 GMT
On 15 Mar 2011, at 5:56 PM, Rico M wrote:

> Perhaps i am reading it wrong ?
>
> The change from apr 0.9.35 to 1.4.2 and
> apr-util from 0.9.6.2 to 1.3.x
>
> be considered as major revisions which encompass the interface ?

Yes.

It all depends on what you're trying to do. If you're trying to use a  
binary copy of httpd compiled from apr/apr-util v0.9.x with apr/apr- 
util v1.x, then you'll need to recompile httpd (and anything else that  
depends on apr) after you upgrade apr/apr-util to v1.x. This could be  
as simple as "rpmbuild --rebuild httpd-x.x.x-src.rpm". (Should have  
been clearer on this earlier, sorry about that).

Regards,
Graham
--


Mime
View raw message